Summary:	Snort is an open source network intrusion detection system
Name:		snort
Version:	1.8.7
Release:	1
URL:		http://www.snort.org
Source0:	http://www.snort.org/releases/%{name}-%{version}.tar.gz
Source1:	snort.sysconfig
Source2:	snort.init
License:	GPL
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	ucd-snmp-devel postgresql-devel libpcap openssl-devel
PreReq:		/usr/sbin/adduser /usr/sbin/userdel /sbin/chkconfig

%description
Snort is an open source network intrusion detection system, capable of
performing real-time traffic analysis and packet logging on IP
networks.  It can perform protocol analysis and content
searching/matching in order to detect a variety of attacks and probes,
such as buffer overflows, stealth port scans, CGI attacks, SMB probes,
OS fingerprinting attempts, and much more.  Snort uses a flexible
rules language to describe traffic that it should collect or pass, as
well as a detection engine that utilizes a modular plugin
architecture. Snort has a real- time alerting capability as well,
incorporating alerting mechanisms for syslog, user specified files, a
UNIX socket, or WinPopup messages to Windows clients using Samba's
smbclient.


%prep 
%setup -q -n %{name}-%{version}
%{__chmod} a-x *.pdf

%{__mkdir} database
ln contrib/create_* contrib/snortdb-extra.gz database/

%build
%configure --without-odbc --without-mysql --without-oracle --without-snmp --with-postgresql
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=${RPM_BUILD_ROOT} install
%{__install} -d -m 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/{sysconfig,init.d}
%{__install} -d -m 750 ${RPM_BUILD_ROOT}%{_sysconfdir}/snort.d/
%{__install} -d -m 770 ${RPM_BUILD_ROOT}/var/log/snort/
%{__ln_s} /var/log/snort ${RPM_BUILD_ROOT}%{_sysconfdir}/snort.d/log

%{__install} -p -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/snort
%{__install} -p -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d/snort
%{__install} -p -m 644 *.rules *.config *.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/snort.d/

%clean
rm -rf $RPM_BUILD_ROOT


%pre
/usr/sbin/adduser -r -d %{_sysconfdir}/snort.d/log -c 'Snort user' snort >/dev/null 2>&1 || true


%post
/sbin/chkconfig --add snort


%preun
if [ "$1" -eq 0 ]; then
	/sbin/chkonfig --del snort
fi


%postun
if [ "$1" -eq 0 ]; then
	/usr/sbin/userdel snort >/dev/null 2>&1 || true
fi


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING CREDITS ChangeLog INSTALL LICENSE NEWS
%doc README* RULES.SAMPLE USAGE
%doc *.pdf
%doc MIBS/ database/
%doc %{_mandir}/*/*

%attr(-,root,snort) %dir %{_sysconfdir}/snort.d
%config %{_sysconfdir}/snort.d/*.rules
%config %{_sysconfdir}/snort.d/*.config
%attr(0640,root,snort) %config(noreplace) %{_sysconfdir}/snort.d/snort.conf
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_sysconfdir}/init.d/*

%{_sysconfdir}/snort.d/log
%attr(-,root,snort) %dir /var/log/snort
%{_bindir}/*


%changelog
* Wed Sep 18 2002 Gareth Marshall <garethm@acm.org> 1.8.7-1
- updated to 1.8.7

* Tue Dec  4 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 1.8.3-1
- updated to 1.8.3

* Wed Nov 21 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 1.8.2-0.1
- Updated to 1.8.2

* Fri Sep  7 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 1.8.1-0.10
- Initial build.


